--- configure.orig	2008-11-08 23:56:57.447655264 -0500
+++ configure	2008-11-09 00:02:16.823022804 -0500
@@ -21721,104 +21721,7 @@
   { echo "$as_me:$LINENO: result: $link_cc_flag" >&5
 echo "${ECHO_T}$link_cc_flag" >&6; }
 
-
-
-
-
-JNI_GUESS=" \
-   -I/usr/include/classpath/ \
-   -I/opt/jdk1.5/include/ \
-   -I/opt/jdk1.5/include/linux \
-   -I/usr/lib/jvm/java-1.5.0-sun-1.5.0.15/include \
-   -I/usr/lib/jvm/java-1.5.0-sun-1.5.0.15/include/linux \
-   -I/usr/lib/jvm/java-6-sun/include/ \
-   -I/usr/lib/jvm/java-6-sun/include/linux \
-   -I/c/java/jdk1.6.0/include/ \
-   -I/c/java/jdk1.6.0/include/win32/ \
-   -I/Developer/SDKs/MacOSX10.5.sdk/System/Library/Frameworks/JavaVM.framework/Headers/ \
-   -I/Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/JavaVM.framework/Headers/ "
-
-{ echo "$as_me:$LINENO: checking for jni.h" >&5
-echo $ECHO_N "checking for jni.h... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <jni.h>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       }; then
-  { echo "$as_me:$LINENO: result: yes, will build java libs" >&5
-echo "${ECHO_T}yes, will build java libs" >&6; }
-        JNIfound=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-
-       SAVE_CPPFLAGS=${CPPFLAGS}
-       CPPFLAGS="${CPPFLAGS} ${JNI_GUESS}"
-       { echo "$as_me:$LINENO: WARNING: Can't find jni.h header in standard locations, trying again with ${CPPFLAGS}" >&5
-echo "$as_me: WARNING: Can't find jni.h header in standard locations, trying again with ${CPPFLAGS}" >&2;}
-       cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <jni.h>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null && {
-	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       }; then
-  { echo "$as_me:$LINENO: result: yes, will build java libs" >&5
-echo "${ECHO_T}yes, will build java libs" >&6; }
-               JNIfound=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-   { echo "$as_me:$LINENO: WARNING: cannot find jni.h header, needed for Java bindings support." >&5
-echo "$as_me: WARNING: cannot find jni.h header, needed for Java bindings support." >&2;}
-                CPPFLAGS=${SAVE_CPPFLAGS}
-                JNIfound=no
-fi
-
-rm -f conftest.err conftest.$ac_ext
-
-fi
-
-rm -f conftest.err conftest.$ac_ext
-
+JNIfound=no
 
 # Hmm .. there seems to be a missing pkgconfig for ordinary java ...
 # There's libgcj-4.2.pc  and libgcj8.pc but nothing for ordinary java??
